package ach;

public class DemoLocal
{
// The conditional remarks are used to filter the source code
// depending on the language that has to be used for the compilation

/* Cond.French
  // language dependent strings (french)
  // TiffyFrame:
  public static String s_cancel = "Abandon";
  public static String s_error = "Erreur";
  public static String s_Save = "sauver";
  public static String s_Download = "Tlcharger";
  public static String s_print = "imprimer";
  public static String s_printView = "imprimer la vue courante";
  public static String s_smooth = "lissage";
  public static String s_fast = "rapide";
  public static String s_zoomIn = "zoom plus";
  public static String s_zoomOut = "zoom moins";
  public static String s_navigation = "navigation";
  public static String s_origSize = "taille d'origine (1:1)";
  public static String s_fitInWindow = "echelle fentre";
  public static String s_fitHorizWindow = "echelle largeur";
  public static String s_scaleSmooth = "Lissage";
  public static String s_annotations = "annotations";
  public static String s_Annotations = "Annotations";
  public static String s_firstPage = "Premire page";
  public static String s_pageFwd = "page suivante";
  public static String s_pageBack = "page prcdente";
  public static String s_invert = "inverser";
  public static String s_rot090 = "rotation 90";
  public static String s_rot180 = "rotation 180";
  public static String s_rot270 = "rotation 270";
  public static String s_mirror = "mirroir  horizontal";
  public static String s_flip = "mirroir vertical";
  public static String s_help = "aide";
  public static String s_keyMap = "Table des acclrateurs clavier";
  public static String s_keyHelpTitle = "Fonctions d'affichage";
  public static String s_keyHelpInfoText =
    "Touche         Fonction de cadrage\r\n\r\n" +
    "  1            Taille d'origine 1:1 view\r\n" +
    "  0            Zoom echelle fentre\r\n" +
    "  +            Zoom plus\r\n" +
    "  -            Zoom moins\r\n" +
    "  P            Imprimer...\r\n" +
    "  #            Lisser l'image\r\n" +
    "  >            Page suivante sur un fichier multi-TIFF\r\n" +
    "  <            Page prcdente sur un fichier multi-TIFF\r\n" +
    "Vous pouvez zoomer sur une zone de l'image  l'aide de la souris.\r\n\r\n" +
    "Fonctions de dplacement:\r\n" +
    "Vous pouvez utiliser les touches de dplacement pour vous orienter\r\n" +
    "dans l'image lorque vous n'en voyez qu'une partie\r\n" +
    "Note:\r\n" +
    "le lissage amliore la lisibilit des images lorsque le niveau de zoom\r\n" +
    "est faible. Cette fonctionnalit ralentie l'affichage et ne fonctionne\r\n" +
    "qu'avec une VM Java 1.1 ou plus.";
  public static String s_Printing = "Impression";
  public static String s_eventModel = "Java 1.1 Event Model";
  public static String s_java11required = "Installez une VM Java 1.1 ou plus.";
  public static String s_notSupportedByVM = " non support avec cette VM java.";
  public static String s_security = "Securit";
  public static String s_appletNoRightFor = "L'applet n'a pas assez de droits pour ";
  public static String s_listingFiles = "listing files";
  public static String s_activatedByDefault = "activ par dfaut";
  public static String s_forBilevelImages = "pour image 1 bit par pixel";
  public static String s_fileNotFoundOrError = "Fichier non trouv ou erreur en lecture";
  public static String s_VMnotSupport = "Cette machine virtuelle java ne supporte pas ";
  public static String s_PNGformat = "format PNG";

  // Annotations
  public static String s_select = "select";
  public static String s_Rectangle = "Rectangle";
  public static String s_Oval = "Oval";
  public static String s_Polygon = "Polygon";
  public static String s_Freehand = "Freehand";
  public static String s_Text = "Text";
  public static String s_Memo = "Memo";
  public static String s_Stamp = "Stamp";
  public static String s_Settings = "Settings";
  public static String s_XORMode = "XOR Mode";
  public static String s_Background = "Background";
  public static String s_Filling = "Filling";
  public static String s_Outline = "Outline";
  public static String s_Foreground = "Foreground";
  public static String s_Color = "Color";
  public static String s_Font = "Font format";
  public static String s_Add = "Add";
  public static String s_Image = "Image";
  public static String s_URL = "URL";
  public static String s_Apply = "Apply";
  public static String s_Search = "Search";
  public static String s_PolygonHelp = "Polygon: Click for line points, drag for freehand, finalize with doubleclick";
  public static String s_PointerHelp = "Pointer: Select annotation (multiple with shift-key) and move; delete with Del-key";

EndCond.French */

/* Cond.English
  // language dependent strings (english)
  // TiffyFrame:
  public static String s_cancel = "Cancel";
  public static String s_error = "Error";
  public static String s_Save = "save";
  public static String s_Download = "download";
  public static String s_print = "print";
  public static String s_printView = "print current view";
  public static String s_smooth = "smooth";
  public static String s_fast = "fast";
  public static String s_zoomIn = "zoom in";
  public static String s_zoomOut = "zoom out";
  public static String s_navigation = "navigation";
  public static String s_origSize = "original size (1:1)";
  public static String s_fitInWindow = "fit in window";
  public static String s_fitHorizWindow = "fit horizontally";
  public static String s_scaleSmooth = "antialiasing (scale smooth)";
  public static String s_annotations = "annotations";
  public static String s_Annotations = "Annotations";
  public static String s_firstPage = "first page";
  public static String s_pageFwd = "page forward";
  public static String s_pageBack = "page back";
  public static String s_preview = "preview";
  public static String s_invert = "invert";
  public static String s_rot090 = "90 rotation";
  public static String s_rot180 = "180 rotation";
  public static String s_rot270 = "270 rotation";
  public static String s_mirror = "mirror  horizontal";
  public static String s_flip = "flip vertical";
  public static String s_help = "help";
  public static String s_keyMap = "Key map";
  public static String s_keyHelpTitle = "View functions";
  public static String s_keyHelpInfoText =
    "Key         Scaling function\r\n\r\n" +
    "  1            original 1:1 view\r\n" +
    "  0            proportional zoom to window\r\n" +
    "  +            zoom in\r\n" +
    "  -            zoom out\r\n" +
    "  P            print...\r\n" +
    "  #            smooth scaling (antialiasing)\r\n" +
    "  >            Next page in multi document TIFF file\r\n" +
    "  <            Previous page in multi document TIFF file\r\n" +
    "Zooming into a user defined area is possible by dragging with the mouse.\r\n\r\n" +
    "Scrolling functions:\r\n" +
    "The visible area can be moved using the cursor control keys,\r\n" +
    "page scrolling available with page up/down keys and Ctrl-arrow keys\r\n" +
    "Pos1/End, Ctrl-page up/down will jump to beginning/end of the image.\r\n" +
    "You can also drag the current view with the right mouse button and last\r\n" +
    "but not least there is a separate navigation view (grabhand button).\r\n\r\n" +
    "Note:\r\n" +
    "Smooth scaling allows a significant improvement of the display quality\r\n" +
    "especially for line drawings and scanned text documents, when the image\r\n" +
    "is scaled to a smaller size. Depending on the images size you may consider\r\n" +
    "delays. Smooth scaling is available with Java 1.1 or higher.";
  public static String s_Printing = "Printing";
  public static String s_eventModel = "Java 1.1 Event Model";
  public static String s_java11required = "Please install Java 1.1 or higher.";
  public static String s_notSupportedByVM = " not supported with this Java VM.";
  public static String s_security = "Security";
  public static String s_appletNoRightFor = "Applet has no sufficient rights for ";
  public static String s_listingFiles = "listing files";
  public static String s_activatedByDefault = "activated by default";
  public static String s_forBilevelImages = "for bilevel (b/w) images";
  public static String s_fileNotFoundOrError = "File not found or error reading";
  public static String s_VMnotSupport = "This Java virtual machine does not support ";
  public static String s_PNGformat = "PNG format";

  // Annotations
  public static String s_select = "select";
  public static String s_Rectangle = "Rectangle";
  public static String s_Oval = "Oval";
  public static String s_Polygon = "Polygon";
  public static String s_Freehand = "Freehand";
  public static String s_Text = "Text";
  public static String s_Memo = "Memo";
  public static String s_Stamp = "Stamp";
  public static String s_Settings = "Settings";
  public static String s_XORMode = "XOR Mode";
  public static String s_Background = "Background";
  public static String s_Filling = "Filling";
  public static String s_Outline = "Outline";
  public static String s_Foreground = "Foreground";
  public static String s_Color = "Color";
  public static String s_Font = "Font format";
  public static String s_Add = "Add";
  public static String s_Image = "Image";
  public static String s_URL = "URL";
  public static String s_Apply = "Apply";
  public static String s_Search = "Search";
  public static String s_PolygonHelp = "Polygon: Click for line points, drag for freehand, finalize with doubleclick";
  public static String s_PointerHelp = "Pointer: Select annotation (multiple with shift-key) and move; delete with Del-key";

EndCond.English */

/*
Cond.English Cond.French */

  // language dependent strings (Deutsch)
  // TiffyFrame:
  public static String s_cancel = "Abbrechen";
  public static String s_error = "Fehler";
  public static String s_Save = "Speichern";
  public static String s_Download = "Download";
  public static String s_print = "Drucken";
  public static String s_printView = "Ansicht drucken";
  public static String s_smooth = "smooth";
  public static String s_fast = "schnell";
  public static String s_zoomIn = "Grer";
  public static String s_zoomOut = "Kleiner";
  public static String s_navigation = "Navigation";
  public static String s_origSize = "1:1 Ansicht";
  public static String s_fitInWindow = "In Fenster einpassen";
  public static String s_fitHorizWindow = "Horizontal einpassen";
  public static String s_scaleSmooth = "Interpolierte Skalierung (Antialiasing)";
  public static String s_annotations = "Anmerkungen";
  public static String s_Annotations = s_annotations;
  public static String s_firstPage = "Erste Seite";
  public static String s_pageFwd = "Naechste Seite";
  public static String s_pageBack = "Vorige Seite";
  public static String s_preview = "Vorschau";
  public static String s_invert = "Invertieren";
  public static String s_rot090 = "90 Drehung";
  public static String s_rot180 = "180 Drehung";
  public static String s_rot270 = "270 Drehung";
  public static String s_mirror = "horizontal spiegeln";
  public static String s_flip = "vertikal kippen";
  public static String s_help = "Hilfe";
  public static String s_keyMap = "Tastatur Zuordnung";
  public static String s_keyHelpTitle = "Ansichtsfunktionen";
  public static String s_keyHelpInfoText =
    "Taste       Skalierungsfunktion\r\n\r\n" +
    "  1            Standard 1:1 Ansicht\r\n" +
    "  0            Proportional auf Fenstergroesse anpassen\r\n" +
    "  +            Groesser zoomen\r\n" +
    "  -            Kleiner zoomen\r\n" +
    "  P            Drucken...\r\n" +
    "  #            Interpolierte Skalierung mit Antialiasing\r\n" +
    "  >            Naechste Seite in Multi-Document-TIFF-Datei\r\n" +
    "  <            Vorige Seite in Multi-Document-TIFF-Datei\r\n" +
    "Einen beliebigen Bildausschnitt waehlen Sie durch Ziehen mit der Maus.\r\n\r\n" +
    "Scrolling-Funktionen:\r\n" +
    "Den Bildausschnitt verschieben Sie mit Hilfe der Cursortasten,\r\n" +
    "seitenweise verschieben mittels Bild hoch/runter, Strg+Pfeiltasten.\r\n" +
    "An den Anfang / Ende des Bildes springen mit Pos1/Ende, Strg+Bild hoch/runter.\r\n" +
    "Auerdem knnen Sie den Bildausschnitt durch Ziehen mit gedrckter, rechter\r\n" +
    "Maustaste verschieben oder alternativ mit dem separaten Navigationsfenster\r\n" +
    "Bewegen (Greifhand-Knopf).\r\n\r\n" +
    "Hinweis:\r\n" +
    "Die Interpolierte Skalierung ermoeglicht bei verkleinerter Darstellung\r\n" +
    "insbesondere bei Strichzeichnungen und gescannten Textdokumenten deutlich\r\n" +
    "bessere Darstellungsqualitt. Durch den hohen Rechenaufwand koennen hier in\r\n" +
    "Abhaengigkeit von der Bildgre Wartezeiten entstehen. Diese Option ist nur\r\n" +
    "auf VM ab Java 1.1 Standard verfuegbar.\r\n";
  public static String s_Printing = "Drucken";
  public static String s_eventModel = "Java 1.1 Event Modell";
  public static String s_java11required = "Bitte installieren Sie Java 1.1 oder hoeher.";
  public static String s_notSupportedByVM = " nicht mit dieser Java VM unterstuetzt.";
  public static String s_security = "Sicherheit";
  public static String s_appletNoRightFor = "Applet hat keine ausreichenden Rechte zum ";
  public static String s_listingFiles = "Auflisten von Dateien";
  public static String s_activatedByDefault = "Standardmaessig aktiviert";
  public static String s_forBilevelImages = "fuer Bilevel (schwarz/weiss) Bilder";
  public static String s_fileNotFoundOrError = "Datei nicht gefunden oder Fehler beim Lesen";
  public static String s_VMnotSupport = "Diese Java Virtual Machine unterstuetzt kein ";
  public static String s_PNGformat = "PNG format";

  // Annotations
  public static String s_select = "auswaehlen";
  public static String s_Rectangle = "Rechteck";
  public static String s_Oval = "Oval";
  public static String s_Polygon = "Polygon";
  public static String s_Freehand = "Freihand";
  public static String s_Text = "Text";
  public static String s_Memo = "Memo";
  public static String s_Stamp = "Stempel";
  public static String s_Settings = "Einstellungen";
  public static String s_XORMode = "XOR Modus";
  public static String s_Background = "Hintergrund";
  public static String s_Filling = "Fuellung";
  public static String s_Outline = "Umrandung";
  public static String s_Foreground = "Vordergrund";
  public static String s_Color = "Farbe";
  public static String s_Font = "Zeichensatz";
  public static String s_Add = "Hinzufuegen";
  public static String s_Image = "Bild";
  public static String s_URL = "URL";
  public static String s_Apply = "Anwenden";
  public static String s_Search = "Suchen";
  public static String s_PolygonHelp = "Polygon: Klicken fuer Linienpunkte, Ziehen fuer Freihandlinie, Beenden mit Doppelklick";
  public static String s_PointerHelp = "Zeiger: Auswaehlen von Anmerkungen (mehrere mit Shift-Taste) und Verschieben; Loeschen mit Entf-Taste";

/* EndCond.English EndCond.French
*/
}
