package ach;

public class PrintDialogLocal
{
// The conditional remarks are used to filter the source code
// depending on the language that has to be used for the compilation

/* Cond.French

  // language dependent strings (French)

  // PrintDialog:
  public static String s_OK = "OK";
  public static String s_cancel = "Abandon";
  public static String s_pageSettings = "Paramtres page";
  public static String s_pageFormat = "Format page";
  // public static String s_resolution = "Rsolution";
  public static String s_orientation = "Orientation";
  public static String s_portrait = "Portrait";
  public static String s_landscape = "Paysage";
  public static String s_PrintJobType = "Print Job Type";
  public static String s_JDK11compatible = "JDK 1.1 compatible (saves memory)";
  public static String s_margins = "Marges";
  public static String s_leftright = "gauche / droite";
  public static String s_topbottom = "haut / bas";
  public static String s_range = "Intervalle";
  public static String s_pageRange = "Intervalle de page";
  public static String s_currentPage = "Page courante";
  public static String s_allPages = "Toutes les pages";
  public static String s_selection = "slection";
  public static String s_example = "ex.";
  public static String s_size = "Taille";
  public static String s_fitToPage = "Echelle de la page";
  public static String s_keepProp = "conserver les proportions";
  public static String s_userSize = "Taille utilisateur";
  public static String s_origSize = "Taille d'origine (1:1)";
  public static String s_location = "Position";
  public static String s_centerPage = "Centre sur la page";
  public static String s_locateAt = "Positionne ";
  public static String s_showPreview = "Afficher aperu";

EndCond.French */

/* Cond.English

  // language dependent strings (English)

  // PrintDialog:
  public static String s_OK = "OK";
  public static String s_cancel = "Cancel";
  public static String s_pageSettings = "Page settings";
  public static String s_pageFormat = "Page format";
  // public static String s_resolution = "Resolution";
  public static String s_orientation = "Orientation";
  public static String s_portrait = "Portrait";
  public static String s_landscape = "Landscape";
  public static String s_PrintJobType = "Print Job Type";
  public static String s_JDK11compatible = "JDK 1.1 compatible (saves memory)";
  public static String s_margins = "Margins";
  public static String s_leftright = "left / right";
  public static String s_topbottom = "top / bottom";
  public static String s_range = "Range";
  public static String s_pageRange = "page range";
  public static String s_currentPage = "current page";
  public static String s_allPages = "all pages";
  public static String s_selection = "selection";
  public static String s_example = "e.g.";
  public static String s_size = "Size";
  public static String s_fitToPage = "Fit to page size";
  public static String s_keepProp = "keep proportions";
  public static String s_userSize = "User size";
  public static String s_origSize = "Original size (1:1)";
  public static String s_location = "Location";
  public static String s_centerPage = "Center on page";
  public static String s_locateAt = "Locate at";
  public static String s_showPreview = "Show preview image";

EndCond.English */

/*
Cond.English Cond.French */

  // language dependent strings (German); English see below

  // PrintDialog:
  public static String s_OK = "OK";
  public static String s_cancel = "Abbrechen";
  public static String s_pageSettings = "Seiteneinstellungen";
  public static String s_pageFormat = "Seitenformat";
  // public static String s_resolution = "Auflsung";
  public static String s_orientation = "Orientierung";
  public static String s_portrait = "Hochformat";
  public static String s_landscape = "Querformat";
  public static String s_PrintJobType = "Druck-Job Typ";
  public static String s_JDK11compatible = "JDK 1.1 kompatibel (spart Speicher)";
  public static String s_margins = "Rnder";
  public static String s_leftright = "links / rechts";
  public static String s_topbottom = "oben / unten";
  public static String s_range = "Bereich";
  public static String s_pageRange = "Seitenbereich";
  public static String s_currentPage = "aktuelle Seite";
  public static String s_allPages = "alle Seiten";
  public static String s_selection = "Auswahl";
  public static String s_example = "z.B.";
  public static String s_size = "Gre";
  public static String s_fitToPage = "An Seite anpassen";
  public static String s_keepProp = "Proportionen erhalten";
  public static String s_userSize = "Benutzervorgabe";
  public static String s_origSize = "Originalgre (1:1)";
  public static String s_location = "Plazierung";
  public static String s_centerPage = "Auf Seite zentrieren";
  public static String s_locateAt = "Plazieren bei";
  public static String s_showPreview = "Vorschau anzeigen";

/* EndCond.English EndCond.French
*/
}
